function [Sigma, Q, G] = getChain(p, phi)
% [Sigma, Q, G] = getChain(p, phi)

Q = sparse(zeros(p));
Q(1:p-1, 2:p) = -phi*eye(p-1);
Q = Q + Q';
Q = Q + eye(p)*(1 + phi^2);
Q(1, 1) = 1;
Q(p, p) = 1;
Sigma = inv(Q);
G = abs(sign(Q));
G = G - diag(diag(G));
